function angles=subpcheb(deg,alpha,beta)

% computes Chebyshev-like angles in [alpha,beta]

omega=(beta-alpha)/2;
k=[0:1:2*deg];
x=cos((pi*k+pi/2)/(2*deg+1));
angles=2*asin(sin(omega/2)*x)+(alpha+beta)/2;

end


