function wamblendplot(wam,A,B,C,alpha,beta)

% plots the region and the wam

clf;
plot(wam(:,1),wam(:,2),'or','MarkerSize',6);
axis equal;
hold on;
theta=linspace(alpha,beta,500);
s=sin(theta);
c=cos(theta);
p1=A(1,1)*c+B(1,1)*s+C(1,1);
p2=A(1,2)*c+B(1,2)*s+C(1,2);
plot(p1,p2);
q1=A(2,1)*c+B(2,1)*s+C(2,1);
q2=A(2,2)*c+B(2,2)*s+C(2,2);
plot(q1,q2);
t=linspace(0,1,100);
segm11=(A(1,1)*cos(alpha)+B(1,1)*sin(alpha)+C(1,1))*t;
segm11=segm11+(A(2,1)*cos(alpha)+B(2,1)*sin(alpha)+C(2,1))*(1-t);
segm12=(A(1,2)*cos(alpha)+B(1,2)*sin(alpha)+C(1,2))*t;
segm12=segm12+(A(2,2)*cos(alpha)+B(2,2)*sin(alpha)+C(2,2))*(1-t);
plot(segm11,segm12);
segm21=(A(1,1)*cos(beta)+B(1,1)*sin(beta)+C(1,1))*t;
segm21=segm21+(A(2,1)*cos(beta)+B(2,1)*sin(beta)+C(2,1))*(1-t);
segm22=(A(1,2)*cos(beta)+B(1,2)*sin(beta)+C(1,2))*t;
segm22=segm22+(A(2,2)*cos(beta)+B(2,2)*sin(beta)+C(2,2))*(1-t);
plot(segm21,segm22);

end


