function [spts,ind] = singlepts(pts,dig)

% eliminates from an array of points pts those having dig digits 
% in common with a subset of other points, keeping only one per subset  

atol=100*eps;
m=10.^(floor(log10(abs(pts))-dig+1));
pts1=round(pts./m).*m;
pts1(find(abs(pts)<atol)) = 0;
[spts,ind]=unique(pts1,'rows');

end



